MTest {PMCMRplus} | R Documentation

## Extended One-Sided Studentised Range Test

### Description

Performs Nashimoto-Wright's extended one-sided studentised range test against an ordered alternative for normal data with equal variances.

This test is an extension of Hayter's OSRT (see `osrtTest`) by applying a simple order restriction of μ_{m'} - μ_m ≤ μ_j - μ_i ≤ \ μ_{l'} - μ_{l} for any l ≤ i ≤ m and m' ≤ j ≤ l'. It tests all-pairs \mathrm{H}_{ij}: μ_i ≥ μ_j against \mathrm{A}_{ij}: μ_i < μ_j$ for any $1 ≤ i < j ≤ k.

### Usage

    MTest(x, ...)

    ## Default S3 method:
    MTest(x, g, alternative = c("greater", "less"), ...)

    ## S3 method for class 'formula'
    MTest(
      formula,
      data,
      subset,
      na.action,
      alternative = c("greater", "less"),
      ...
    )

### Arguments

`x` | a numeric vector of data values, or a list of numeric data vectors.
`...` | further arguments to be passed to or from methods.
`g` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`alternative` | the alternative hypothesis. Defaults to `greater`.
`formula` | a formula of the form `response ~ group` where `response` gives the data values and `group` a vector or factor of the corresponding groups.
`data` | an optional matrix or data frame (or similar: see `model.frame`) containing the variables in the formula `formula`. By default the variables are taken from `environment(formula)`.
`subset` | an optional vector specifying a subset of observations to be used.
`na.action` | a function which indicates what should happen when the data contain `NA`s. Defaults to `getOption("na.action")`.

### Value

Either a list with class `"osrt"` or a list with class `"PMCMR"`.

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  the estimated statistic(s)

crit.value

  critical R-values for α = 0.05.

alternative

  a character string describing the alternative hypothesis.

parameter

  the parameter(s) of the test distribution.

dist

  a string that denotes the test distribution.

There are print and summary methods available.

A list with class `"PMCMR"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  lower-triangle matrix of the estimated quantiles of the pairwise test statistics.

p.value

  lower-triangle matrix of the p-values for the pairwise tests.

alternative

  a character string describing the alternative hypothesis.

p.adjust.method

  a character string describing the method for p-value adjustment.

model

  a data frame of the input data.

dist

  a string that denotes the test distribution.

### References

Nashimoto, K., Wright, F.T., (2005) Multiple comparison procedures for detecting differences in simply ordered means. Comput. Statist. Data Anal. 48, 291–306.

### Examples

    MTest(weight ~ group, data = PlantGrowth)

[Package PMCMRplus version 1.6.1 Index]